openjdk-lts (11.0.31+11-1ubuntu1~25.10.2) questing-security; urgency=medium

  * Upload to Ubuntu 25.10.
  * d/rules: Do not validate control files for the old releases.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Sun, 26 Apr 2026 21:25:22 +1200

openjdk-lts (11.0.31+11-1ubuntu1) stonking; urgency=medium

  * OpenJDK 11.0.31 release, build 11.
    - CVEs:
      + CVE-2026-22016: 8370529: Enhance Path Factories Redux
      + CVE-2026-34282: 8374557: Enhance TLS connection handling
      + CVE-2026-22021: 8371830: Enhance certificate chain validation
      + CVE-2026-22013: 8370615: Improve Kerberos credentialing
      + CVE-2026-23865: 8379158: Update FreeType to 2.14.2
      + CVE-2026-22018: 8370986: Enhance Zip file reading
      + CVE-2026-22007: 8369575: Enhance crypto algorithm support
      + CVE-2026-34268: 8371935: Enhance key generation
  * Ensure that all generated files are up to date:
    - The copyright generator now checks if the current directory contains
      an unpacked OpenJDK tree by verifying the presence of the
      ASSEMBLY_EXCEPTION file.
    - The copyright generator now drops common license text in-memory,
      without running a shell script that modifies the source tree.
    - d/rules: Add targets to generate all files and check that they match
      the ones provided in the source package.
    - d/rules: Add nogen DEB_BUILD_OPTION to disable file regeneration.
  * d/rules: Use '-' instead of '~' in opt version string, swap package
    version and distribution.
  * Add common GPL and Apache license headers to copyright generator.
  * d/t/problems.csv: Synchronize problemlist.
  * d/dbg.py: Fix syntax errors in gdb unwinder, do not install unwinder
    for zero, install hotspot unwinder in the correct directory.
    Disable debug traces. Load unwinder in the disabled state.
    Return iterator rather than list from OpenJDKFrameFilter.flatten().
    Remove unused code from NativeMethodInfo.
  * d/p/jdk-8224796.diff: Drop patch applied upstream.
  * d/copyright: Regenerate.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Sun, 26 Apr 2026 18:31:19 +1200

openjdk-lts (11.0.30+7-1ubuntu1) resolute; urgency=medium

  * OpenJDK 11.0.30 release, build 7.
    - CVEs:
      + CVE-2026-21945: 8368032: Enhance Certificate Checking.
      + CVE-2026-21932: 8359501: Enhance Handling of URIs.
      + CVE-2026-21933: 8362632: Improve HttpServer Request handling.
      + CVE-2026-21925: 8341496: Improve JMX connections.

  [ Matthias Klose ]
  * d/rules: Adjust any_archs.

  [ Pushkar Kulkarni ]
  * d/t/jtreg-autopkgtest.*: Use locale name "C.UTF-8" on bionic
    and focal.

  [ Vladimir Petko ]
  * d/p/jdk-8354941-proposed.patch: Drop patch applied upstream.
  * Update override comments for unstripped-binary-or-object. We need to
    keep symbols for Native Memory Tracking to work.
  * d/{JB-doc.overrides.in, JB-jre-headless.overrides.in}: Add override
    for old FSF copyright address.
  * d/s/lintian-overrides: Override false positive debian-rules-calls-
    nproc. The utility is used to log the number of processors.
  * d/p/jdk-8224796.diff: Apply upstream patch to fix i386 ftbfs
    introduced by JDK-8224087 backport.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 22 Jan 2026 13:00:42 +1300

openjdk-lts (11.0.29+7-1ubuntu1) resolute; urgency=medium

  * OpenJDK 11.0.29 release, build 7. Release notes:
    https://mail.openjdk.org/pipermail/jdk-updates-dev/2025-October/049111.html
    - CVEs:
      + CVE-2025-53057, 8360937: Enhance certificate handling.
      + CVE-2025-53066, 8356294: Enhance Path Factories.

  [ Matthias Klose ]
  * d/{control*, rules}: build using gcc-15.

  [ Vladimir Petko ]
  * d/t/problems.csv: Synchronize problem list.
  * d/p/jdk-8354941-proposed.patch: Apply proposed patch to resolve ftbfs
    with glibc 2.42.
  * d/t/jtreg-autopkgtest.*: Force utf-8 encoding.
  * d/rules: force C99 standard to build with gcc-15.

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 23 Oct 2025 12:01:16 +0530

openjdk-lts (11.0.28+6-1ubuntu1) questing; urgency=medium

  * OpenJDK 11.0.28 release, build 6. See
    https://openjdk.org/groups/vulnerability/advisories/2025-07-15
    - CVEs:
      + CVE-2025-50059, 8350991: Improve HTTP client header handling
      + CVE-2025-30749, 8348989: Better Glyph drawing
      + CVE-2025-50106, 8360147: Better Glyph drawing redux
      + CVE-2025-30761, 8351422: Improve scripting supports
      + CVE-2025-30754, 8349594: Enhance TLS protocol support
    - Security fixes:
      + 8349111: Enhance Swing supports
      + 8345625: Better HTTP connections
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk-updates-dev/2025-July/045612.html
  * d/watch: regenerate.
  * d/copyright: regenerate.
  * d/copyright-generator/copyright-gen.py: bump copyright year.
  * d/rules: use /usr/share/jtreg jtreg home for bionic.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 17 Jul 2025 08:41:38 +1200

openjdk-lts (11.0.28~5ea-1ubuntu2) questing; urgency=medium

  * d/rules: use link file to provide symlink to ja man pages (LP:
    #2116572).
  * d/copyright: regenerate.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 15 Jul 2025 10:30:48 +1200

openjdk-lts (11.0.28~5ea-1ubuntu1) questing; urgency=medium

  * OpenJDK 11.0.28+5 build (early access).
  * d/p/jdk-8359735.patch: fix process tests failing in Ubuntu 25.10
    (questing).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Sat, 05 Jul 2025 18:18:05 +1200

openjdk-lts (11.0.28~3ea-1ubuntu1) questing; urgency=medium

  * OpenJDK 11.0.28+3 build (early access) (LP: #2114688).
  * d/t/problems.csv: Update based on recent JTREG runs.
  * d/rules: Disable dtrace on jammy armhf (was not enabled before and cannot
    be built due to a GCC ICE (see LP #2091225).

  [ Matthias Klose ]
  * Honour DEB_BUILD_OPTIONS=parallel=N while running jtreg tests (Helmut
    Grohne). Addresses: #1095920.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 16 Jun 2025 09:02:57 +1200

openjdk-lts (11.0.26+4-1ubuntu1) plucky; urgency=medium

  * OpenJDK 11.0.26 release, build 4. Release notes:
    https://mail.openjdk.org/pipermail/jdk-updates-dev/2025-January/040826.html

    - CVEs:
      +  CVE-2025-21502 - 8330045: Enhance array handling.

  * d/rules: Dump complete hs_err_pid and replay_pid logs to stdout.
  * d/t/problems.csv: Add openjdk-24 and openjdk-25 to the problems.csv.
  * d/{copyright, watch}: regenerate.

  [ Matthias Klose ]
  * d/rules: Also dump logs for zero builds and for build failures.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 22 Jan 2025 15:18:54 +1300

openjdk-lts (11.0.26~3ea-1ubuntu1) plucky; urgency=medium

  * OpenJDK 11.0.26+3 build (early access) (LP: #2092368).

  [ Pushkar Kulkarni ]
  * d/t/problems.csv: Update based on recent JTREG runs.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 23 Dec 2024 09:41:59 +1300

openjdk-lts (11.0.25+9-1ubuntu1) plucky; urgency=medium

  * OpenJDK 11.0.25 release, build 9.

     - CVEs
       + CVE-2024-21208, 8328286: Enhance HTTP client
       + CVE-2024-21210, 8328544: Improve handling of vectorization
       + CVE-2024-21217, 8331446: Improve deserialization support
       + CVE-2024-21235, 8332644: Improve graph optimizations

     - Security fixes
       + JDK-8290367, JDK-8332643: Update default value and extend the scope
         of the com.sun.jndi.ldap.object.trustSerialData system property
       + JDK-8307383: Enhance DTLS connections
       + JDK-8328286: Enhance HTTP client
       + JDK-8328544: Improve handling of vectorization
       + JDK-8328726: Better Kerberos support
       + JDK-8331446: Improve deserialization support
       + JDK-8332644: Improve graph optimizations
       + JDK-8335713: Enhance vectorization analysis

  [ Vladimir Petko ]
  * d/rules: do not include dtrace support for S390x (JDK-8305174).
  * d/t/problems.csv: Disable jdk/sun/security/util/Debug/DebugOptions.java
    due to JDK-8339713.

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 17 Oct 2024 22:51:26 +0530

openjdk-lts (11.0.25~5ea-1ubuntu1) oracular; urgency=medium

  * OpenJDK 11.0.25+5 build (early access) (LP: #2080298).
  * d/copyright-generator/strip-common-licenses.sh: Add GPLv3 to the
    list of common licenses.
  * d/rules, d/control.in: Depend on pkgconf rather than pkg-config in
    bookworm and later releases. This resolves lintian warning
    build-depends-on-obsolete-package Build-Depends: pkg-config => pkgconf.
  * Build using GCC 14 on development versions.
  * d/t/problemlist.csv: Update problemlist.csv for July release.
  * d/copyright-generator/copyright-gen.py: remove spurious whitespaces.
  * Enable dtrace support.
  * Regenerate control files.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 10 Sep 2024 08:53:42 +1200

openjdk-lts (11.0.24+8-1ubuntu3) oracular; urgency=medium

  * OpenJDK 11.0.24 release, build 8. Release notes:
    https://mail.openjdk.org/pipermail/jdk-updates-dev/2024-July/035797.html
    - CVEs
      + CVE-2024-21147: 8323231, RangeCheckElimination array index overflow.
      + CVE-2024-21145: 8324559, Out-of-bounds access in 2D image handling.
      + CVE-2024-21140: 8320548, Range Check Elimination (RCE) pre-loop limit
        overflow.
      + CVE-2024-21144: 8322106, Pack200 increase loading time due to improper
        header validation.
      + CVE-2024-21131: 8314794, potential UTF8 size overflow.
      + CVE-2024-21138: 8319859, Excessive symbol length can lead to infinite loop.
    - Security fixes
      + JDK-8303466: C2: failed: malformed control flow.
        Limit type made precise with MaxL/MinL.
      + JDK-8314794: Improve UTF8 String supports.
      + JDK-8319859: Better symbol storage.
      + JDK-8320097: Improve Image transformations.
      + JDK-8320548: Improved loop handling.
      + JDK-8322106: Enhance Pack 200 loading.
      + JDK-8323231: Improve array management.
      + JDK-8323390: Enhance mask blit functionality.
      + JDK-8324559: Improve 2D image handling.
      + JDK-8325600: Better symbol storage.
      + JDK-8327413: Enhance compilation efficiency.
  * No-Change upload to include OpenJDK bugs related to CVEs.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 22 Jul 2024 08:41:26 +1200

openjdk-lts (11.0.24+8-1ubuntu2) oracular; urgency=medium

  * OpenJDK 11.0.24 release, build 8. Release notes:
    https://mail.openjdk.org/pipermail/jdk-updates-dev/2024-July/035797.html
    + CVEs
      - CVE-2024-21147
      - CVE-2024-21145
      - CVE-2024-21140
      - CVE-2024-21144
      - CVE-2024-21131
      - CVE-2024-21138
    + Security fixes
      - JDK-8303466: C2: failed: malformed control flow.
        Limit type made precise with MaxL/MinL.
      - JDK-8314794: Improve UTF8 String supports.
      - JDK-8319859: Better symbol storage.
      - JDK-8320097: Improve Image transformations.
      - JDK-8320548: Improved loop handling.
      - JDK-8322106: Enhance Pack 200 loading.
      - JDK-8323231: Improve array management.
      - JDK-8323390: Enhance mask blit functionality.
      - JDK-8324559: Improve 2D image handling.
      - JDK-8325600: Better symbol storage.
      - JDK-8327413: Enhance compilation efficiency.
  * No-Change upload to include upstream release notes.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 22 Jul 2024 08:17:12 +1200

openjdk-lts (11.0.24+8-1ubuntu1) oracular; urgency=medium

  * OpenJDK 11.0.24 release, build 8.
    - CVEs:
      + CVE-2024-21147
      + CVE-2024-21145
      + CVE-2024-21140
      + CVE-2024-21144
      + CVE-2024-21131
      + CVE-2024-21138
    - Security Fixes:
      + JDK-8281658: New Security Category for -XshowSettings Launcher
        Option.
      + JDK-8316138: Added GlobalSign R46 and E46 Root CA Certificates.
      + JDK-8256660: Disabled DTLS 1.0.
      + JDK-8326891: Native Executables and Libraries on Linux Use
        RPATH Instead of RUNPATH.
  * d/copyright: regenerate copyright.
  * d/rules, d/t/*: collate all excluded tests into d/problemlist.csv.
  * d/p/jdk-8336529-proposed.patch: fix time_t migration issue on armhf -
    openjdk is unable to set file last modified timestamp.
  * d/p/jdk-8334895-proposed.patch: refresh patch.
  * d/rules: enable upstream release.
  * d/rules: relax jtreg7 version condition for backports.
  * d/rules: use gcc-10 for focal to resolve riscv gcc crash.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 18 Jul 2024 19:36:07 +1200

openjdk-lts (11.0.24~6ea-1ubuntu2) oracular; urgency=medium

  * d/rules: include /usr/share/dpkg/buildflags.mk to avoid configure
    failure due to the undefined variables.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 26 Jun 2024 08:34:02 +1200

openjdk-lts (11.0.24~6ea-1ubuntu1) oracular; urgency=medium

  * New upstream snapshot 11.0.24~6ea (LP: #2069917).
  * d/p/*: refresh patches.
  * d/rules, d/control: use jtreg7, enable jtreg.
  * d/JB-demo.overrides.in: add jar-contains-source override for
    SwingSet demo jar.
  * d/rules, d/copyright-generator/copyright-gen.py, d/copyright:
    exclude test/jdk/sun/management/windows/revokeall.exe from orig
    tarball, format d/copyright-generator/copyright-gen.py.
  * d/p/8307977-proposed.diff: rename to jdk-8307977-proposed.patch.
  * d/p/jdk-8334502.patch: fix iso8601_utctime armhf function.
  * d/p/jtreg-location.diff: drop patch as it is no longer needed for
    jtreg7.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 20 Jun 2024 10:30:43 +1200

openjdk-lts (11.0.23+9-1ubuntu1) noble; urgency=high

  * OpenJDK 11.0.23 release, build 9.
    - CVE-2024-21011, 8319851: Improve exception logging.
    - CVE-2024-21068, 8322122: Enhance generation of addresses.
    - 8318340: Improve RSA key implementations.
    - CVE-2024-21012, 8315708: Enhance HTTP/2 client usage.
    - CVE-2024-21094, 8317507: Already fixed in November 2023:
      C2 compilation fails with "Exceeded _node_regs array".
    - CVE-2024-21085, 8322114: Improve Pack 200 handling.

  [ Pushkar Kulkarni ]
  * Use 64-bit clock_* function on archs like armhf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2024 16:23:29 +0200

openjdk-lts (11.0.23~7ea-1ubuntu4) noble; urgency=medium

  * d/rules: disable jtreg tests due to jtreg i386 uninstallability.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 17 Apr 2024 08:28:35 +1200

openjdk-lts (11.0.23~7ea-1ubuntu3) noble; urgency=medium

  * d/patches: Use clock_*64 functions on archs like armhf
    (LP: #2059005)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 11 Apr 2024 20:16:13 +0530

openjdk-lts (11.0.23~7ea-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:05:16 +1100

openjdk-lts (11.0.23~7ea-1ubuntu1) noble; urgency=medium

  * OpenJDK 11.0.23+7 build (early access).

  * Merge changes from openjdk-11 11.0.23~7-1.
    - Update cups dependencies for time_t64.
    - copyright-generator: Derive release from debian/rules.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2024 02:30:11 +0100

openjdk-lts (11.0.22+7-3ubuntu1) noble; urgency=medium

  * Merge changes from openjdk-11 11.0.22+7-2.
    - Add zero support for loong64 (Leslie Zhai). Closes: #1060821.
    - d/changelog: Whitespace cleanup.
    - Update build dependency on libfontconfig-dev.
    - Apply proposed patch for JDK-8307977. Closes: #1034600.
    - d/t/jtreg-autopkgtest.*: Set jtreg home property correctly.
  * Merge changes from openjdk-11 11.0.22+7-3.
    - libcups2, libfontconfig1: Make it a recommends in jre-headless,
      a dependency in jre.
    - Make the dependencies for libfontmanager.so and libjsound.so
      recommendations in jre-headless, and dependencies in jre.
    - Drop build dependencies on libgtk2 | libgtk3.
    - Disable running the tests for the time_t64 bootstrap.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Mar 2024 16:39:50 +0100

openjdk-lts (11.0.22+7-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:39:23 +0000

openjdk-lts (11.0.22+7-0ubuntu2) noble; urgency=medium

  * No-change rebuild to correct the previous changelog entry (LP: #2050390)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Sat, 20 Jan 2024 15:57:19 +0530

openjdk-lts (11.0.22+7-0ubuntu1) noble; urgency=medium

  * OpenJDK 11.0.22 release, build 7
    - CVEs:
      + CVE-2024-20918
      + CVE-2024-20919
      + CVE-2024-20921
      + CVE-2024-20945
      + CVE-2024-20952
    - Security fixes:
      + JDK-8308204: Enhanced certificate processing.
      + JDK-8314295: Enhance verification of verifier.
      + JDK-8314307: Improve loop handling.
      + JDK-8314468: Improve Compiler loops.
      + JDK-8316976: Improve signature handling.
      + JDK-8317547: Enhance TLS connection support.
      + JDK-8314284: Enhance Nashorn performance (CVE-2024-20926).
    Release notes:
      https://www.oracle.com/java/technologies/javase/11-0-22-relnotes.html#R11_0_22
  * Merge changes from openjdk-11 11.0.22+7-1 (LP: #2049715)
      [ Vladimir Petko ]
     - Generate d/watch to cope with early access and release builds.
     - d/rules: Trim trailing whitespaces from debian/control.

      [ Pushkar Kulkarni ]
     - Minor improvements to the copyright-generator.

      [ Pushkar Kulkarni ]
     - debian/copyright: Update copyrights and notices, using a generator script.

      [ Vladimir Petko ]
     - d/copyright: Fix lintian warning.

      [ Matthias Klose ]
     - d/copyright: Fix source location.

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 18 Jan 2024 13:52:07 +0530

openjdk-lts (11.0.21+9-0ubuntu1) noble; urgency=medium

  * OpenJDK 11.0.21 release, build 9.
    - CVE-2023-22081.
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk-updates-dev/2023-October/026351.html
  * d/source/lintian.overrides: use openjdk-lts package name.
  * Disable jtreg tests on RISC-V due to the infrastructure issue.
  * Merge changes from openjdk-11 11.0.21+9-1 (LP: #2039754).
    - d/test: update problemlist.
    - d/p: drop exclude-broken-tests.patch.
    - d/p/reproducible-properties-timestamp.diff: use the privileged action
      to read the system property (JDK-8272157, 914278).
    - d/copyright: remove liblcms from excluded files.
    - d/t/jtreg-autopkgtest.{sh,in}: JDK-8232153 - set NSS_DEFAULT_DB_TYPE
      to let sun/security/pkcs11/Secmod/AddTrustedCert.java pass.

      [ Matthias Klose ]
    - Build using GCC 13 on development versions.
    - Explicitly configure --without-jtreg with the nocheck profile

      [ Pushkar Kulkarni ]
    - Handle limited ECC capabilities of NSS on older releases.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 26 Oct 2023 16:16:27 +1300

openjdk-lts (11.0.20+8-1ubuntu1) mantic; urgency=high

  * OpenJDK 11.0.20 release, build 8.
    - CVE-2023-22041, CVE-2023-25193, CVE-2023-22045,
      CVE-2023-22049, CVE-2023-22036, CVE-2023-22006.
    - Release notes:
      https://www.oracle.com/java/technologies/javase/11-0-20-relnotes.html#R11_0_20

  * Merge changes from 11.0.20+8-1:
  * Link with --no-as-needed. Closes: #1031521.
  * Provide versioned java-runtime, java-runtime-headless, java-sdk
    and java-sdk-headless virtual packages (Emmanuel Bourg).
  * Configure --with-stdc++lib=static on ia64.
  * Bump standards version.
  * Refresh patches.

  [ Vladimir Petko ]
  * debian/copyright: convert to a machine-readable format.
   debian/copyright: align excludes statement with openjdk-17.

 -- Pushkar Kulkarni <pushkar.kulkarni@ubuntu.com>  Wed, 19 Jul 2023 10:45:13 +0200

openjdk-lts (11.0.19+7~us1-0ubuntu1) mantic; urgency=medium

  * OpenJDK 11.0.19 release, build 7.
    - CVE-2023-21930, CVE-2023-21937, CVE-2023-21938, CVE-2023-21939,
      CVE-2023-21954, CVE-2023-21967, CVE-2023-21968.
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk-updates-dev/2023-April/021900.html
    - d/p/*: refresh patches.
  * d/rules: pack external debug symbols with build-id, do not pack duplicate
    symbols, do not strip JVM shared libraries (LP: #2012326, LP: #2016739).
  * d/rules: always use jtreg6.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 20 Apr 2023 14:25:28 +1200

openjdk-lts (11.0.18+10-0ubuntu5) lunar; urgency=medium

  * d/control: add jtreg6 dependencies, regenerate control.
  * d/t/{jdk,hotspot,jaxp,lantools}: run tier1 and tier2 jtreg tests only,
    add test options from OpenJDK makefile.
  * d/t/*: fix test environment: add missing -nativepath (LP: #2001563).
  * d/t/jdk: provide dbus session for the window manager (LP: #2001576).
  * d/p/*: add patches for jtreg tests:
    - disable-thumb-assertion.patch: fix JDK-8305481.
    - update-assertion-for-armhf.patch: fix JDK-8305480.
    - log-generated-classes-test.patch: workaround JDK-8166162.
    - update-permission-test.patch: add security permissions for testng 7.
    - ldap-timeout-test-use-ip.patch, test-use-ip-address.patch: Ubuntu-specific
      patches to workaround missing DNS resolver on the build machines.
    - exclude_broken_tests.patch: quarantine failing tests.
  * d/rules: package external debug symbols (LP: #2015835).
  * drop d/p/{jaw-classpath.diff, jaw-optional.diff}: the atk wrapper is disabled
    and these patches cause class data sharing tests to fail (LP: #2016194).
  * d/p/exclude-broken-tests.patch: add OpenJDK 11 failures.
  * d/t/jtreg-autopkgtest.in: pass JTREG home to locate junit.jar, regenerate
    d/t/jtreg-autopkgtest.sh (LP: #2016206).
  * d/t/control.in: disable jtreg autopkgtests in line with openjdk 17,
    regenerate control (LP: #2016438).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 14 Apr 2023 11:29:59 +1200

openjdk-lts (11.0.18+10-0ubuntu4) lunar; urgency=medium

  * d/p: drop obsolete patches (LP: #2011653).
    - workaround_expand_exec_shield_cs_limit.diff: obsoleted by
      hotspot-disable-exec-shield-workaround.diff.
    - generated-headers.patch: include is already added by openjdk makefile.
    - parallel-build-fix.diff: include is not necessary.
  * d/copyright, d/watch: implement uscan repackaging (LP: #2011749).
  * d/rules: use --with-debug-symbols=none (LP: #2003820).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 16 Mar 2023 08:39:50 +1300

openjdk-lts (11.0.18+10-0ubuntu3) lunar; urgency=medium

  * debian/JB-jre-headless.postinst.in: trigger ca-certificates-java after jre
    is set up.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 01 Mar 2023 16:55:33 +1300

openjdk-lts (11.0.18+10-0ubuntu2) lunar; urgency=medium

  * No-change rebuild, building on i386.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Feb 2023 11:21:50 +0100

openjdk-lts (11.0.18+10-0ubuntu1) lunar; urgency=medium

  * OpenJDK 11.0.18 release, build 10.
    - CVE-2023-21835, CVE-2023-21843
    - Release notes:
      https://www.oracle.com/java/technologies/javase/11-0-18-relnotes.html
  * debian/patches/*: Refreshed patches for the new release and dropped unused
    patches.
  * debian/watch: use jdk11u repository as upstream.
  * debian/rules: add lunar to jtreg version selection.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 19 Jan 2023 21:24:22 +1300

openjdk-lts (11.0.17+8-1ubuntu2) kinetic-security; urgency=medium

  * OpenJDK 11.0.17 release, build 8.
  * Security fixes
    - JDK-8289366: Improve HTTP/2 client usage.
    - JDK-8288508: Enhance ECDSA usage.
    - JDK-8286918: Better HttpServer service.
    - JDK-8287446: Enhance icon presentations.
    - JDK-8286910: Improve JNDI lookups.
    - JDK-8286511: Improve macro allocation.
    - JDK-8286526: Improve NTLM support.
    - JDK-8286533: Key X509 usages.
    - JDK-8286077: Wider MultiByte conversions.
    - JDK-8286519: Better memory handling.
    - JDK-8285662: Better permission resolution.
    - JDK-8282252: Improve BigInteger/Decimal validation.
  * Sync packages with 11.0.13+8-1:
    - Build using GCC 12 in recent development distros.
    - Don't install the security/blacklisted.certs symlink anymore.
      Closes: #1021866.
    - Remove patches applied upstream.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Oct 2022 17:39:49 +0200

openjdk-lts (11.0.16+8-0ubuntu1) kinetic; urgency=high

  * OpenJDK 11.0.16+8 build (release).
  * Security fixes
    - JDK-8277608: Address IP Addressing.
    - JDK-8272243: Improve DER parsing.
    - JDK-8272249: Better properties of loaded Properties.
    - JDK-8281859, CVE-2022-21540: Improve class compilation.
    - JDK-8281866, CVE-2022-21541: Enhance MethodHandle invocations.
    - JDK-8283190: Improve MIDI processing.
    - JDK-8284370: Improve zlib usage.
    - JDK-8285407, CVE-2022-34169: Improve Xalan supports.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Jul 2022 13:27:22 +0200

openjdk-lts (11.0.15+10-0ubuntu0.22.04.1) jammy-security; urgency=medium

  * OpenJDK 11.0.15+10 build (release).
    - CVE-2022-21476, CVE-2022-21496, CVE-2022-21434, CVE-2022-21426,
      CVE-2022-21443

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 22 Apr 2022 09:06:53 -0400

openjdk-lts (11.0.14.1+1-0ubuntu1) jammy; urgency=medium

  * OpenJDK 11.0.14.1+1 build (release).
    - Fix JDK-8218546. LP: #1966338.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Mar 2022 11:32:03 +0200

openjdk-lts (11.0.14+9-0ubuntu2) jammy; urgency=medium

  * OpenJDK 11.0.14+9 build (release).
  * Security fixes
    - JDK-8217375: jarsigner breaks old signature with long lines in manifest.
    - JDK-8251329: (zipfs) Files.walkFileTree walks infinitely if zip has dir
      named "." inside.
    - JDK-8264934, CVE-2022-21248: Enhance cross VM serialization.
    - JDK-8268488: More valuable DerValues.
    - JDK-8268494: Better inlining of inlined interfaces.
    - JDK-8268512: More content for ContentInfo.
    - JDK-8268795: Enhance digests of Jar files.
    - JDK-8268801: Improve PKCS attribute handling.
    - JDK-8268813, CVE-2022-21283: Better String matching.
    - JDK-8269151: Better construction of EncryptedPrivateKeyInfo.
    - JDK-8269944: Better HTTP transport redux.
    - JDK-8270386, CVE-2022-21291: Better verification of scan methods.
    - JDK-8270392, CVE-2022-21293: Improve String constructions.
    - JDK-8270416, CVE-2022-21294: Enhance construction of Identity maps.
    - JDK-8270492, CVE-2022-21282: Better resolution of URIs.
    - JDK-8270498, CVE-2022-21296: Improve SAX Parser configuration management.
    - JDK-8270646, CVE-2022-21299: Improved scanning of XML entities.
    - JDK-8270952, CVE-2022-21277: Improve TIFF file handling.
    - JDK-8271962: Better TrueType font loading.
    - JDK-8271968: Better canonical naming.
    - JDK-8271987: Manifest improved manifest entries.
    - JDK-8272014, CVE-2022-21305: Better array indexing.
    - JDK-8272026, CVE-2022-21340: Verify Jar Verification.
    - JDK-8272236, CVE-2022-21341: Improve serial forms for transport.
    - JDK-8272272: Enhance jcmd communication.
    - JDK-8272462: Enhance image handling.
    - JDK-8273290: Enhance sound handling.
    - JDK-8273756, CVE-2022-21360: Enhance BMP image support.
    - JDK-8273838, CVE-2022-21365: Enhanced BMP processing.
    - JDK-8274096, CVE-2022-21366: Improve decoding of image files.
    - JDK-8279541: Improve HarfBuzz.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Jan 2022 10:24:04 +0100

openjdk-lts (11.0.13+8-0ubuntu1) jammy; urgency=medium

  * OpenJDK 11.0.13+8 build (release).
  * Security fixes
    - JDK-8163326, CVE-2021-35550: Update the default enabled cipher suites
      preference.
    - JDK-8254967, CVE-2021-35565: com.sun.net.HttpsServer spins on TLS
      session close.
    - JDK-8263314: Enhance XML Dsig modes.
    - JDK-8265167, CVE-2021-35556: Richer Text Editors.
    - JDK-8265574: Improve handling of sheets.
    - JDK-8265580, CVE-2021-35559: Enhanced style for RTF kit.
    - JDK-8265776: Improve Stream handling for SSL.
    - JDK-8266097, CVE-2021-35561: Better hashing support.
    - JDK-8266103: Better specified spec values.
    - JDK-8266109: More Resilient Classloading.
    - JDK-8266115: More Manifest Jar Loading.
    - JDK-8266137, CVE-2021-35564: Improve Keystore integrity.
    - JDK-8266689, CVE-2021-35567: More Constrained Delegation.
    - JDK-8267086: ArrayIndexOutOfBoundsException in
      java.security.KeyFactory.generatePublic.
    - JDK-8267712: Better LDAP reference processing.
    - JDK-8267729, CVE-2021-35578: Improve TLS client handshaking.
    - JDK-8267735, CVE-2021-35586: Better BMP support.
    - JDK-8268193: Improve requests of certificates.
    - JDK-8268199: Correct certificate requests.
    - JDK-8268205: Enhance DTLS client handshake.
    - JDK-8268506: More Manifest Digests.
    - JDK-8269618, CVE-2021-35603: Better session identification.
    - JDK-8269624: Enhance method selection support.
    - JDK-8270398: Enhance canonicalization.
    - JDK-8270404: Better canonicalization.
  * Sync packages with 11.0.13+8-1:
    - Remove patches applied upstream.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Oct 2021 11:47:05 +0200

openjdk-lts (11.0.12+7-0ubuntu3) impish; urgency=medium

  * Work around ftbfs in StackGuardPages test with glibc 2.34.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Aug 2021 14:38:05 +0200

openjdk-lts (11.0.12+7-0ubuntu2) impish; urgency=high

  * OpenJDK 11.0.12+7 build (release).
  * Security fixes:
    - JDK-8256157: Improve bytecode assembly.
    - JDK-8256491: Better HTTP transport.
    - JDK-8258432, CVE-2021-2341: Improve file transfers.
    - JDK-8260453: Improve Font Bounding.
    - JDK-8260960: Signs of jarsigner signing.
    - JDK-8260967, CVE-2021-2369: Better jar file validation.
    - JDK-8262380: Enhance XML processing passes.
    - JDK-8262403: Enhanced data transfer.
    - JDK-8262410: Enhanced rules for zones.
    - JDK-8262477: Enhance String Conclusions.
    - JDK-8262967: Improve Zip file support.
    - JDK-8264066, CVE-2021-2388: Enhance compiler validation.
    - JDK-8264079: Improve abstractions.
    - JDK-8264460: Improve NTLM support.
  * Sync packages with 11.0.12+7-2:
    - Encode the early-access status into the package version. LP: #1934895.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Jul 2021 15:36:30 +0200

openjdk-lts (11.0.12+6-0ubuntu1) impish; urgency=medium

  * OpenJDK 11.0.12+6 build (early access).

  * Sync packages with 11.0.12+6-1:

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Jul 2021 12:45:19 +0200

openjdk-lts (11.0.12+4-0ubuntu2) impish; urgency=medium

  * OpenJDK 11.0.12+4 build (early access).

  * Sync packages with 11.0.11+9-1:
  * Don't apply the m68k-support patch, needs an update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 May 2021 12:41:33 +0200

openjdk-lts (11.0.11+9-0ubuntu2) hirsute; urgency=medium

  * OpenJDK 11.0.11+9 build (release).
  * Security fixes:
    - JDK-8244473: Contextualize registration for JNDI.
    - JDK-8244543: Enhanced handling of abstract classes.
    - JDK-8250568: Less ambiguous processing (CVE-2021-2161).
    - JDK-8253799: Make lists of normal filenames.
    - JDK-8249906: Enhance opening JARs (CVE-2021-2163).
    - JDK-8257001: Improve HTTP client support.
  * Mark the build as an upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Apr 2021 10:55:38 +0200

openjdk-lts (11.0.11+8-0ubuntu2) hirsute; urgency=medium

  * OpenJDK 11.0.11+8 build (early access).

  * Sync packages with 11.0.11+8-1:
  * Set DEB_BUILD_MAINT_OPTIONS = optimize=-lto, not yet ready. Looks
    like 16 and 17 are buildable with lto.
  * Remove dangling jfr alternative on upgrades if no jdk is installed (Andreas
    Beckmann). Closes: #985060.
  * Use mktemp instead of tempfile in maintainer scripts (Andreas Beckmann).
  * Backport fix for JDK-8262085, hovering Metal HTML Tooltips in different
    windows cause IllegalArgExc on Linux. Closes: #967049.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Apr 2021 12:31:47 +0200

openjdk-lts (11.0.11+7-0ubuntu1) hirsute; urgency=medium

  * OpenJDK 11.0.11+7 build (early access).

  * Sync packages with 11.0.11+7-1:
  * Simplify compiler selection for backports.
  * Don't use the triplet-prefixed binutils tools for backports.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Mar 2021 10:05:21 +0100

openjdk-lts (11.0.11+4-0ubuntu2) hirsute; urgency=medium

  * Don't build zero on armhf, still fails to build.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 27 Feb 2021 15:35:01 +0100

openjdk-lts (11.0.11+4-0ubuntu1) hirsute; urgency=medium

  * OpenJDK 11.0.11+4 build (early access).

  * Sync packages with 11.0.11+4-1:
  * reproducible-build-jmod.diff: Fall back to the unpatched behavior
    for backports.
  * Only build with system harfbuzz for recent releases.
  * Configure --with-copyright-year. Closes: #956154.

  * Sync packages with 11.0.11+3-3:
  * Fix the build logic, jaotc and jhsdb tools not available on all archs.
  * Ship the jfc files used by jfr.
  * Move libawt_xawt.so, libjawt.so into the jre package. Closes: #908058.

  * Sync packages with 11.0.11+3-2:
  * OpenJDK 11.0.11+3 build (early access).
  * Use debugedit to generate unique build-id's and remove the openjdk-N-dbg
    file conflicts. Closes: #919671.
  * Remove KFreeBSD build support and patches, not updated since OpenJDK 8.
  * Backport JDK-8222825. Closes: #960153.
  * Build with Rules-Requires-Root: no.
  * Move the jfr binary from -jre-headless to -jdk-headless. Development tool.

  * Build zero again on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Feb 2021 17:01:44 +0100

openjdk-lts (11.0.10+9-0ubuntu1) hirsute; urgency=medium

  * OpenJDK 11.0.10+9 build (release).

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 19 Jan 2021 20:45:06 +0000

openjdk-lts (11.0.10+8-0ubuntu1) hirsute; urgency=medium

  * OpenJDK 11.0.10+8 build (early access).

  [ Matthias Klose ]
  * Build with system harfbuzz.
  * Refresh patches.
  * Bump standards version.

  [ Tiago Stürmer Daitx ]
  * Update VCS attributes.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 06 Jan 2021 22:11:55 +0000

openjdk-lts (11.0.9.1+1-0ubuntu1) hirsute; urgency=medium

  * OpenJDK 11.0.9+11 build (release).

  [ Matthias Klose ]
  * Configure --with-jvm-features=shenandoahgc for hotspot builds.
    LP: #1902029.

  [ Tiago Stürmer Daitx ]
  * Filter out recurring failed tests.
    - debian/failed-tests-problemlist.txt: list of tests known to
      have failed in the past.
    - debian/tests/control: add zip as some tests depend on it.
    - debian/tests/hotspot, debian/tests/jaxp, debian/test/jdk,
      debian/tests/langtools: exclude tests listed as failed tests,
      exit if jtreg exits 77 as no test was actually ran.
    - debian/tests/jtreg-autopkgtest.in: reduce retries from 3 to 2,
      exit early if test results are the same on retry, output time
      along name and status.
    - debian/tests/jtreg-autopkgtest.sh: regenerated.
    - d/p/hotspot-test-fix-npe-on-missing-file.patch: recurse only
      if src file exists, fixes test when libatk is a dangling link.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 09 Nov 2020 15:46:20 +0000

openjdk-lts (11.0.9+11-0ubuntu2) hirsute; urgency=medium

  * d/p/jdk-8254982-tzdata2020c.patch: update to tzdata2020c.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 26 Oct 2020 03:20:49 +0000

openjdk-lts (11.0.9+11-0ubuntu1) groovy; urgency=medium

  * OpenJDK 11.0.9+11 build (release).
  * Security fixes:
    - JDK-8233624: Enhance JNI linkage
    - JDK-8236196: Improve string pooling
    - JDK-8236862, CVE-2020-14779: Enhance support of Proxy class
    - JDK-8237990, CVE-2020-14781: Enhanced LDAP contexts
    - JDK-8237995, CVE-2020-14782: Enhance certificate processing
    - JDK-8240124: Better VM Interning
    - JDK-8241114, CVE-2020-14792: Better range handling
    - JDK-8242680, CVE-2020-14796: Improved URI Support
    - JDK-8242685, CVE-2020-14797: Better Path Validation
    - JDK-8242695, CVE-2020-14798: Enhanced buffer support
    - JDK-8243302: Advanced class supports
    - JDK-8244136, CVE-2020-14803: Improved Buffer supports
    - JDK-8244479: Further constrain certificates
    - JDK-8244955: Additional Fix for JDK-8240124
    - JDK-8245407: Enhance zoning of times
    - JDK-8245412: Better class definitions
    - JDK-8245417: Improve certificate chain handling
    - JDK-8248574: Improve jpeg processing
    - JDK-8249927: Specify limits of jdk.serialProxyInterfaceLimit
    - JDK-8253019: Enhanced JPEG decoding

  [ Matthias Klose ]
  * Call strip-nondeterminism before computing jmod hashes (Julian Gilbey).
    Closes: #944738.
  * Build with GCC 10 in current development versions. Closes: #972288.

  [ Tiago Stürmer Daitx ]
  * debian/rules:
    - remove get-orig, gbp import-orig uses uscan and is configured
      to clean the orig package.
    - sanitize v_pkgrel to use in version-opt as it deletes
      any character not in [-.a-zA-Z0-9].
    - prevent deletion of test file on dh_clean.
  * debian/generate-debian-orig.sh, debian/update-hgrev.sh: remove
    outdated files that no longer work.
  * debian/watch: fetch from github and only scan for numeric tags.
  * debian/patches/jdk-8254177-tzdata2020b.patch: update to latest
    tzdata.
  * debian/JB-jre-headless.postinst.in: replace tempfile calls with
    mktemp. Closes: #972245.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Thu, 22 Oct 2020 05:15:02 +0000

openjdk-lts (11.0.9+10-0ubuntu1) groovy; urgency=medium

  * OpenJDK 11.0.9+9 build (early access).
  * debian/rules:
    - copy apport hook to source_$(PKGSOURCE).py.
    - untar upstream tarball directly and avoid the unnecessary
      intermediate directory.
    - get tar to clamp mtime based on changelog's date entry and
      name the origtarball from $PKGSOURCE instead of basename.
  * debian/patches/Don-t-optimize-fdlibm-fork-for-Zero-on-linux-sparc-Z.patch,
    debian/patches/generated-headers.patch,
    debian/patches/icc_loading_with_symlink.diff,
    debian/patches/jdk-getAccessibleValue.diff,
    debian/patches/jexec.diff, debian/patches/jtreg-location.diff,
    debian/patches/reproducible-build-user.diff, debian/patches/riscv64.diff,
    debian/patches/s390x-opt.diff, debian/patches/system-pcsclite.diff,
    debian/patches/workaround_expand_exec_shield_cs_limit.diff,
    debian/patches/zero-x32.diff: refresh patches.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Thu, 08 Oct 2020 14:57:00 +0000

openjdk-lts (11.0.8+10-0ubuntu1) groovy; urgency=medium

  * OpenJDK 11.0.8+10 build (release).
  * Security fixes:
    - JDK-8233239, CVE-2020-14562: Enhance TIFF support
    - JDK-8236867, CVE-2020-14573: Enhance Graal interface handling
    - JDK-8237117, CVE-2020-14556: Better ForkJoinPool behavior
    - JDK-8237592, CVE-2020-14577: Enhance certificate verification
    - JDK-8238002, CVE-2020-14581: Better matrix operations
    - JDK-8238920, CVE-2020-14583: Better Buffer support
    - JDK-8240119, CVE-2020-14593: Less Affine Transformations
    - JDK-8242136, CVE-2020-14621: Better XML namespace handling
    - JDK-8230613: Better ASCII conversions
    - JDK-8231800: Better listing of arrays
    - JDK-8232014: Expand DTD support
    - JDK-8233234: Better Zip Naming
    - JDK-8233255: Better Swing Buttons
    - JDK-8234032: Improve basic calendar services
    - JDK-8234042: Better factory production of certificates
    - JDK-8234418: Better parsing with CertificateFactory
    - JDK-8234836: Improve serialization handling
    - JDK-8236191: Enhance OID processing
    - JDK-8238013: Enhance String writing
    - JDK-8238804: Enhance key handling process
    - JDK-8238842: AIOOBE in GIFImageReader.initializeStringTable
    - JDK-8238843: Enhanced font handing
    - JDK-8238925: Enhance WAV file playback
    - JDK-8240482: Improved WAV file playback
    - JDK-8241379: Update JCEKS support
    - JDK-8241522: Manifest improved jar headers redux
   * d/p/default-jvm-cfg.diff: updated patch.
   * d/p/8214571.diff, d/p/8228407.diff: applied by upstream, removed patches.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 15 Jul 2020 00:56:32 +0000

openjdk-lts (11.0.7+10-3ubuntu1) focal; urgency=medium

  * Sync packages with 11.0.7+10-3:
  * Backport the fix for JDK-8214571, -Xdoclint of array serialField gives
    "error: array type not allowed here". Introduced with 11.0.7.
  * Enable running the testsuite on release architectures.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Apr 2020 14:54:17 +0200

openjdk-lts (11.0.7+10-2ubuntu1) focal; urgency=medium

  * Sync packages with 11.0.7+10-1:
  * OpenJDK 11.0.7+10 build (release).
  * Security fixes
    - JDK-8223898, CVE-2020-2754: Forward references to Nashorn
    - JDK-8223904, CVE-2020-2755: Improve Nashorn matching
    - JDK-8224541, CVE-2020-2756: Better mapping of serial ENUMs
    - JDK-8224549, CVE-2020-2757: Less Blocking Array Queues
    - JDK-8225603: Enhancement for big integers
    - JDK-8226346: Build better binary builders
    - JDK-8227467: Better class method invocations
    - JDK-8227542: Manifest improved jar headers
    - JDK-8229733: TLS message handling improvements
    - JDK-8231415, CVE-2020-2773: Better signatures in XML
    - JDK-8231785: Improved socket permissions
    - JDK-8232424, CVE-2020-2778: More constrained algorithms
    - JDK-8232581, CVE-2020-2767: Improve TLS verification
    - JDK-8233250: Better X11 rendering
    - JDK-8233410: Better Build Scripting
    - JDK-8234027: Better JCEKS key support
    - JDK-8234408, CVE-2020-2781: Improve TLS session handling
    - JDK-8234825, CVE-2020-2800: Better Headings for HTTP Servers
    - JDK-8234841, CVE-2020-2803: Enhance buffering of byte buffers
    - JDK-8235274, CVE-2020-2805: Enhance typing of methods
    - JDK-8235691, CVE-2020-2816: Enhance TLS connectivity
    - JDK-8236201, CVE-2020-2830: Better Scanner conversions
    - JDK-8238960: linux-i586 builds are inconsistent as the newly build
      jdk is not able to reserve enough space for object heap
  * Refresh patches.
  * Configure --with-jtreg=/usr/share/jtreg.
  * Enable the buildwatch script on sh4 (Adrian Glaubitz). Closes: #956728.
  * Build with -march=z13 -mtune=z15 on Ubuntu/s390x.

  * Sync packages with 11.0.7+10-2:
  * Backport the fix for 8228407, JVM crashes with shared archive file mismatch.
  * Enable again bootcycle build for all hotspot architectures.
  * Build again with -march=zEC12 on Ubuntu/s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Apr 2020 16:06:06 +0200

openjdk-lts (11.0.7+9-1ubuntu1) focal; urgency=medium

  * Sync packages with 11.0.7+9-1:
  * OpenJDK 11.0.7+9 build (early access).
  * Make autopkgtests cross-test-friendly (Steve Langasek). LP: #1861467.
  * d/tests/jtreg-autopkgtest.in: keep generated hs_err log files
    with test artifacts to improve later debug (Tiago Stürmer Daitx).
  * d/tests/jtdiff-autopkgtest.in: set default vm to correctly locate (Tiago
    Stürmer Daitx)
  * jhsdb isn't built on sh4 (Adrian Glaubitz). Closes: #951774.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Mar 2020 10:58:31 +0100

openjdk-lts (11.0.6+10-2ubuntu2) focal; urgency=medium

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly. LP: #1861467.

  [ Tiago Stürmer Daitx ]
  * d/tests/jtreg-autopkgtest.in: keep generated hs_err log files
    with test artifacts to improve later debug.
  * d/tests/jtdiff-autopkgtest.in: set default vm to correctly locate
    test resuts when it defaults to zerovm.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Thu, 20 Feb 2020 22:21:20 +0000

openjdk-lts (11.0.6+10-2ubuntu1) focal; urgency=medium

  * Sync packages with 11.0.6+10-2:
  * Fix FTCBFS (Helmut Grohne). Addresses: #949460.
    - Missing Build-Depends: zlib1g-dev:native.
    - Use triplet-prefixed objcopy and strip.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2020 09:39:37 +0100

openjdk-lts (11.0.6+10-1ubuntu1) focal; urgency=medium

  * Sync packages with 11.0.6+10-1:
  * OpenJDK 11.0.6+10 build (release).
    - S8220598: Malformed copyright year range in a few files in java.base.
    - S8224909, CVE-2020-2583: Unlink Set of LinkedHashSets.
    - S8225261: Better method resolutions.
    - S8225279: Better XRender interpolation.
    - S8226352, CVE-2020-2590: Improve Kerberos interop capabilities.
    - S8227758: More valid PKIX processing.
    - S8227816: More Colorful ICC profiles.
    - S8228548, CVE-2020-2593: Normalize normalization for all.
    - S8229728: Implement negotiation parameters.
    - S8229951, CVE-2020-2601: Better Ticket Granting Services.
    - S8230279: Improve Pack200 file reading.
    - S8230318: Better trust store usage.
    - S8230967: Improve Registry support of clients.
    - S8231139: Improved keystore support.
    - S8231422, CVE-2020-2604: Better serial filter handling.
    - S8231780, CVE-2020-2655: Better TLS messaging support.
    - S8231790: Provide better FileSystemProviders.
    - S8232419: Improve Registry registration.
    - S8234037, CVE-2020-2654: Improve Object Identifier Processing.
  * Disable zero on sparc64 (Adrian Glaubitz). Closes: #942030.
  * Make the generated character data source files reproducible (Emmanuel
    Bourg). Closes: #933339.
  * Make the generated module-info.java files reproducible (Emmanuel Bourg).
    Closes: #933342.
  * Make the generated copyright headers reproducible (Emmanuel Bourg).
    Closes: #933349.
  * Make the build user reproducible (Emmanuel Bourg). Closes: #933373.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2020 02:07:05 +0100

openjdk-lts (11.0.6+7-1ubuntu1) focal; urgency=medium

  * Sync packages with 11.0.6+7-1:
    - OpenJDK 11.0.6+7 build (early access).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Dec 2019 11:26:59 +0100

openjdk-lts (11.0.5+10-2ubuntu1) focal; urgency=medium

  * Sync packages with 11.0.5+10-1:
    - OpenJDK 11.0.5+10 build (release).
  * Sync packages with 11.0.5+10-2:
    - Fix the jtreg consistency check when building without jtreg.
    - Don't call dh_strip_nondeterminism when building for older releases.
    - Fix disabling the zero build on arm64 on trusty.
  * debian/tests/control.in: mark all autopkgtests as flaky in the source
    file, not the generated file.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 13:11:51 +0200

openjdk-lts (11.0.5+10-0ubuntu1) eoan; urgency=high

  * Update to 11.0.5-10.
  * Security fixes:
    - S8209901: Canonical file handling.
    - S8213429, CVE-2019-2933: Windows file handling redux.
    - S8218573, CVE-2019-2945: Better socket support.
    - S8218877: Help transform transformers.
    - S8219914: Change the environment variable for Java Access Bridge.
      logging to have a directory..
    - S8220186: Improve use of font temporary files.
    - S8220302, CVE-2019-2949: Better Kerberos ccache handling.
    - S8221497: Optional Panes in Swing.
    - S8221858, CVE-2019-2958: Build Better Processes.
    - S8222684, CVE-2019-2964: Better support for patterns.
    - S8222690, CVE-2019-2962: Better Glyph Images.
    - S8223163: Better pattern recognition.
    - S8223505, CVE-2019-2973: Better pattern compilation.
    - S8223518, CVE-2019-2975: Unexpected exception in jjs.
    - S8223886: Add in font table referene.
    - S8223892, CVE-2019-2978: Improved handling of jar files.
    - S8224025: Fix for JDK-8220302 is not complete.
    - S8224062, CVE-2019-2977: Improve String index handling.
    - S8224532, CVE-2019-2981: Better Path supports.
    - S8224915, CVE-2019-2983: Better serial attributes.
    - S8225286, CVE-2019-2987: Better rendering of native glyphs.
    - S8225292, CVE-2019-2988: Better Graphics2D drawing.
    - S8225298, CVE-2019-2989: Improve TLS connection support.
    - S8225597, CVE-2019-2992: Enhance font glyph mapping.
    - S8226765, CVE-2019-2999: Commentary on Javadoc comments.
    - S8227601: Better collection of references.
    - S8228825, CVE-2019-2894: Enhance ECDSA operations.
  * debian/tests/control: mark all autopkgtests as flaky, Depends on g++
    instead of gcc.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 16 Oct 2019 00:57:17 +0000

openjdk-lts (11.0.5+9-1ubuntu1) eoan; urgency=medium

  * Sync packages with 11.0.5+9-1:
    - OpenJDK 11.0.5+9 build (early access).
    - Bump standards version.
    - Use dh_strip_nondeterminism (Emmanuel Bourg). Closes: #933389.
    - Fix 8230708, server build on sparc64 (Adrian Glaubitz). Closes: #939565.
    - Fix FTBFS with DEB_BUILD_PROFILES=nocheck (Helmut Grohne). Closes: #939521.
    - Add more breaks to the openjdk-11-jre-headless package. Closes: #935624.
    - Fix debug and src symlinks. Closes: #893134, #910694, #910696.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Oct 2019 11:49:08 +0200

openjdk-lts (11.0.5+6-1ubuntu2) eoan; urgency=medium

  * Don't build zero on armhf, ftbfs at least in eoan.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 05:37:23 +0200

openjdk-lts (11.0.5+6-1ubuntu1) eoan; urgency=medium

  * Sync packages with 11.0.5+6-1:
    - OpenJDK 11.0.5+6 build (early access).

    [ Matthias Klose ]
    - Tighten dependency on jtreg.
    - Build using GCC 9 on recent development releases.
    - Refresh patches.

    [ Tiago Stürmer Daitx ]
    - Properly generate Breaks: rules for bionic (fix typo).
    - Remove libgtk-3-dev from build-deps: libgtk-3-dev is not actually
      required, package builds fine without it; libgtk2.0-0 or libgtk-3-0
      should be explicitly declared instead in bdeps and tests;
      libxrandr-dev should be explicitly added as it is required and was
      being included due to libgtk-3-dev dependency.
    - Set minimum dependency on jtreg based on testsuite requirements.
    - Fail during pre-build if installed jtreg version is lower then
      the minimum required version.
    - Improve and fix build tests and autopkgtests:
      - Depend on default-jre-headless so jtreg will use the
        JRE from /usr/default-java; remove JT_JAVA exports as it
        no longer needs to be set.
      - Update debian/tests/hotspot,jdk,langtools to ignore
        jtreg-autopkgtest.sh return code.
      - Create debian/tests/jtdiff-autopkgtest.in as it depends
        on debian/rules variables.
      - debian/tests/jtreg-autopkgtest.sh:
        + Enable retry of failed tests to trim out flaky tests.
        + Fix unbound variable.
        + Keep .jtr files from failed tests only.
      - debian/tests/jtdiff-autopkgtest.sh:
        + Fail only if an actual regression is detected.
        + Add the super-diff comparison from jtdiff.
      - debian/rules:
        + Preserve all JTreport directories in the test output
          directory.
        + Use JDK_DIR instead of JDK_TO_TEST for autopkgtest
          generation.
        + Package all .jtr files from JTwork as jtreg-autopkgtest.sh
          makes sure it contains only failing tests.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Sep 2019 16:36:07 +0200

openjdk-lts (11.0.4+11-1ubuntu1) eoan; urgency=medium

  * Sync packages with 11.0.4+11-1:
    - OpenJDK 11.0.4+11 build (release).
      - S8212328, CVE-2019-2762: Exceptional throw cases.
      - S8213431, CVE-2019-2766: Improve file protocol handling.
      - S8213432, CVE-2019-2769: Better copies of CopiesList.
      - S8216381, CVE-2019-2786: More limited privilege usage.
      - S8217563: Improve realm maintenance.
      - S8218863: Better endpoint checks.
      - S8218873: Improve JSSE endpoint checking.
      - S8218876, CVE-2019-7317: Improve PNG support options.
      - S8219775: Certificate validation improvements.
      - S8220517: Enhanced GIF support.
      - S8221345, CVE-2019-2818: Better Poly1305 support.
      - S8221518, CVE-2019-2816: Normalize normalization.
      - S8222678, CVE-2019-2821: Improve TLS negotiation.
    - Fix more build issues for Ubuntu precise builds.
    - Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jul 2019 02:37:32 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog openjdk-11-doc`.
